或阿呆のブログ

Pythonを好んで使っているプログラマです。Ruby,Perl,PowerShell,VBAなどでもたまに書いています。おバカなことが大好きです。

LinuxMint17にgem install google-search 手こずったぞ~ #LinuxMint17

とりあえず、前提としてこれ試して下さい。

$sudo apt-get update 
$sudo apt-get upgrade

けっこう重たいです。

これも試して下さい。

rubyの諸々のモジュールだとか更新だとかね。

$sudo apt-get -yV install ruby-full
$sudo apt-get -yV install ruby1.9.1-full
$sudo apt-get -yV install rubygems
$sudo gem install rubygems-update
$sudo gem1.9.1 install rubygems-update

google-searchインストール

$gem install google-search

やっと入ったw

$gem list

*** LOCAL GEMS ***

bundle (0.0.1)
bundler (1.7.2)
coderay (1.1.0)
google-search (1.0.3)
json (1.8.1)
method_source (0.8.2)
mini_portile (0.6.1, 0.6.0)
nokogiri (1.5.2)
pry (0.10.1)
rubygems-update (2.4.1)
slop (3.6.0)